﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseDraggableMarkers.aspx.cs"
    Inherits="CSSamples.UseDraggableMarkers" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Draggable Markers</title>
    <script type="text/javascript">
        var markerLayer;
        var OnMapCreated = function (map) {
            markerLayer = map.getLayersByName("MarkerOverlay")[0];
        }

        function controlVisibility(element) {
            for (var i = 0; i < markerLayer.markers.length; i++) {
                if (markerLayer.markers[i].id.indexOf("Blue") != -1) {
                    markerLayer.markers[i].display(element.checked);
                }
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                <input id="testCheckbox" name="testCheckbox" type="checkbox" checked="checked" onclick="controlVisibility(this);"/>Show/Hide Blue Marker
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
